#
# spec file for package zisofs-tools
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zisofs-tools
BuildRequires:  zlib-devel
Url:            ftp://ftp.kernel.org/pub/linux/utils/fs/zisofs/
Requires:       /usr/bin/mkisofs
Version:        1.0.8
Release:        25.1
Summary:        User tools for zisofs
License:        GPL-2.0+
Group:          System/Filesystems
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zisofs-tools, in conjunction with a zisofs-enabled system, allows the
creation of an iso9660 filesystem that can be decompressed "live" on a
file-by-file basis, while still being readable by systems without
zisofs support. This package contains the tools necessary to create
such a filesystem and read compressed files on a system without zisofs
support.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir}
make %{?_smp_mflags}

%install
make INSTALLROOT=$RPM_BUILD_ROOT install

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README
%{_bindir}/mkzftree
%doc %{_mandir}/man1/mkzftree.1*

%changelog
* Thu Jun  6 2013 mhrusecky@suse.com
- require /usr/bin/mkisofs instead of mkisofs package
* Sat Oct 30 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Mon Feb 15 2010 dimstar@opensuse.org
- Update to version 1.0.8:
  + This release fixes the --sloppy option, which was documented
    but did not work.
- Spec cleanup.
* Thu Mar 29 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep  1 2004 nadvornik@suse.cz
- updated to 1.0.6
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Jul 25 2003 nadvornik@suse.cz
- updated to 1.0.4
- added BuildRoot
* Thu Jun 13 2002 uli@suse.de
- update -> 1.0.3 (cosmetic)
* Tue Oct 30 2001 uli@suse.de
- initial package
